SiEntry (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler.model

## Class SiEntry

- java.lang.Object
- - org.gcube.portal.istischeduler.model.SiEntry

-     public class SiEntry
      extends Object

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiEntry(long id, String table, String operation, long idFlow, Date lastUpdate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `long` | `getId()`
    `long` | `getIdFlow()`
    `Date` | `getLastUpdate()`
    `String` | `getOperation()`
    `String` | `getTable()`
    `int` | `hashCode()`
    `void` | `setId(long id)`
    `void` | `setIdFlow(long idFlow)`
    `void` | `setLastUpdate(Date lastUpdate)`
    `void` | `setOperation(String operation)`
    `void` | `setTable(String table)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SiEntry

          public SiEntry(long id,
                 String table,
                 String operation,
                 long idFlow,
                 Date lastUpdate)

      Parameters:
        `id` - t_sistema_informativo_id
        `table` - t_sistema_informativo_tabella
        `operation` - t_sistema_informativo_operazioni
        `idFlow` - t_sistema_informativo_id_flusso
        `lastUpdate` - t_sistema_informativo_last_update

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getTable

          public String getTable()

    - #### setTable

          public void setTable(String table)

    - #### getOperation

          public String getOperation()

    - #### setOperation

          public void setOperation(String operation)

    - #### getIdFlow

          public long getIdFlow()

    - #### setIdFlow

          public void setIdFlow(long idFlow)

    - #### getLastUpdate

          public Date getLastUpdate()

    - #### setLastUpdate

          public void setLastUpdate(Date lastUpdate)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.